module shiftreg (sclk, serialin, lrclk, dataL, dataR) ;

output [19:0] dataL;
output [19:0] dataR;
input sclk,lrclk ;
input serialin ;



// will be valid on falling edge of LRCK
reg oldlrclk;
reg dataL, dataR;
reg [19:0] sample;

always @(posedge sclk) oldlrclk <= lrclk;
 
always @(posedge sclk) begin 
	if (lrclk ^ oldlrclk) begin 
		if (oldlrclk) dataR <= sample;
		else dataL <= sample;
	end
	sample <= (sample << 1) | serialin;  
end


endmodule 
